package com.ximai.mes.tm.service;

import com.ximai.mes.tm.domain.TmToolWarehouse;

import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author generator
 * @date 2024-03-07
 */
public interface ITmToolWarehouseService {
    /**
     * 查询【请填写功能名称】
     *
     * @param toolWarehouseId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    TmToolWarehouse selectTmToolWarehouseByToolWarehouseId(Long toolWarehouseId);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param tmToolWarehouse 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    List<TmToolWarehouse> selectTmToolWarehouseList(TmToolWarehouse tmToolWarehouse);

    int insertObj(TmToolWarehouse tmToolWarehouse);

    /**
     * 新增【请填写功能名称】
     *
     * @param tmToolWarehouse 【请填写功能名称】
     * @return 结果
     */
    int insertTmToolWarehouse(TmToolWarehouse tmToolWarehouse);

    /**
     * 修改【请填写功能名称】
     *
     * @param tmToolWarehouse 【请填写功能名称】
     * @return 结果
     */
    int updateTmToolWarehouse(TmToolWarehouse tmToolWarehouse);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param toolWarehouseIds 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    int deleteTmToolWarehouseByToolWarehouseIds(Long[] toolWarehouseIds);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param toolWarehouseId 【请填写功能名称】主键
     * @return 结果
     */
    int deleteTmToolWarehouseByToolWarehouseId(Long toolWarehouseId);
}
